import 'dart:io';
import 'package:logger/logger.dart';

export 'package:after_layout/after_layout.dart';
export 'package:draggable_scrollbar/draggable_scrollbar.dart';
export 'package:backdrop/backdrop.dart';
export 'package:sticky_headers/sticky_headers.dart';
export 'package:state_persistence/state_persistence.dart';
export 'package:auto_size_text/auto_size_text.dart';
export 'package:showcaseview/showcaseview.dart';

export 'package:google_fonts/google_fonts.dart';
export 'package:font_awesome_flutter/font_awesome_flutter.dart';

export 'package:path_provider/path_provider.dart';
export 'package:android_path_provider/android_path_provider.dart';

export 'package:shared_preferences/shared_preferences.dart';
export 'package:hive/hive.dart';
export 'package:isar/isar.dart';

export 'package:device_info_plus/device_info_plus.dart';
export 'package:package_info_plus/package_info_plus.dart';
export 'package:json_annotation/json_annotation.dart';
export 'package:flutter_markdown/flutter_markdown.dart';
export 'package:url_launcher/url_launcher.dart';

// local
export './core/responsive_ui.dart';
export 'utils.dart';

var logger = Logger(
  printer: PrettyPrinter(
    methodCount: 0,
    errorMethodCount: 8,
    lineLength: 120,
    colors: true,
    printEmojis: true,
    printTime: true,
  ),
  output: FileOutput(
    file: File('${Directory.systemTemp.path}/${DateTime.now().millisecondsSinceEpoch}.log'),
  ),
);
