/*
 * Copyright (c) 2022.   Written by Aravind Chowdary
 */

import 'package:basepack/components/aqua/fancy_switch.dart';
import 'package:flutter/material.dart';

class BasePackAquaSwitch extends StatelessWidget {
  final bool value;

  final ValueChanged<bool> onChanged;

  final Color activeColor;

  final Color unActiveColor;

  final Color thumbColor;

  const BasePackAquaSwitch({
    Key? key,
    required this.value,
    required this.onChanged,
    this.activeColor = Colors.blue,
    this.unActiveColor = Colors.grey,
    this.thumbColor = Colors.white,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Transform.scale(
      scale: 0.78,
      child: BasePackFancySwitch(
        unActiveColor: unActiveColor,
        activeColor: activeColor,
        thumbColor: thumbColor,
        value: value,
        onChanged: onChanged,
      ),
    );
  }
}
