/*
 * Copyright (c) 2022.   Written by Aravind Chowdary
 */

import 'package:flutter/material.dart';

class BasePackCardHolder extends StatelessWidget {
  const BasePackCardHolder({
    Key? key,
    required this.child,
    this.padding = const EdgeInsets.all(8),
  }) : super(key: key);
  final Widget child;
  final EdgeInsetsGeometry padding;

  @override
  Widget build(BuildContext context) {
    return Material(
      borderRadius: BorderRadius.circular(12),
      clipBehavior: Clip.hardEdge,
      color: Colors.grey.shade100,
      child: Padding(
        padding: padding,
        child: child,
      ),
    );
  }
}
