#ifndef FLUTTER_PLUGIN_BASEPACK_PLUGIN_H_
#define FLUTTER_PLUGIN_BASEPACK_PLUGIN_H_

#include <flutter/method_channel.h>
#include <flutter/plugin_registrar_windows.h>

#include <memory>

namespace basepack {

class BasepackPlugin : public flutter::Plugin {
 public:
  static void RegisterWithRegistrar(flutter::PluginRegistrarWindows *registrar);

  BasepackPlugin();

  virtual ~BasepackPlugin();

  // Disallow copy and assign.
  BasepackPlugin(const BasepackPlugin&) = delete;
  BasepackPlugin& operator=(const BasepackPlugin&) = delete;

 private:
  // Called when a method is called on this plugin's channel from Dart.
  void HandleMethodCall(
      const flutter::MethodCall<flutter::EncodableValue> &method_call,
      std::unique_ptr<flutter::MethodResult<flutter::EncodableValue>> result);
};

}  // namespace basepack

#endif  // FLUTTER_PLUGIN_BASEPACK_PLUGIN_H_
